@import "../global/var";

.tests-runs-search {
    background-color: $white;
    padding: 18px 20px 18px 15px;
    position: relative;

    &__top-section {
        align-items: center;
        max-width: 550px;
    }

    &__bottom-section {
        margin: 0 -6px;
        > md-input-container,
        > button {
            margin: 0 6px;
        }
    }

    md-input-container.select-wrapper {
        padding-top: 0;
        width: 120px;
        max-width: 120px;
        min-width: 120px;
    }

    &__helpers {
        .md-button {
            margin-left: 12px;
        }
    }

    &__input {
        &-label {
            position: relative;
            margin: 0 12px 0 0;
            font-weight: normal;
            flex-grow: 1;
            flex-shrink: 1;
            min-width: 180px;
        }

        &-btn {
            font-size: 0;
            line-height: 1;
            transition: all .25s;
            color: $dark-new;
            border: 1px solid rgba($dark-new, 0.2);
            background-color: transparent;
            border-radius: 8px;
            width: 32px;
            height: 32px;
            padding: 0;

            .material-icons {
                color: currentColor;
            }

            &._active {
                background-color: rgba($dark-new, .5);
                color: $white;
            }

            @media screen and (min-width: 600px) {
                &:hover {
                    background-color: rgba($dark-new, .5);
                    color: $white;
                }
            }
        }
    }

    md-checkbox {
        width: 36px;
        height: 36px;
        margin: 0 12px 0 0;
        z-index: 3;
        .md-container {
            left: 50%;
            transform: translate(-50%, -50%);
        }
        @media (max-width: $screen-phone) {
            margin: 0 8px 0 4px;
        }
    }

    .date-picker-container {
        i.material-icons {
            color: currentColor;
            display: none;
        }
    }

    @media (max-width: 1279px) {
        &__top-section {
            max-width: 100%;
        }
    }

    @media (min-width: 960px ) and (max-width: 1279px) {
        md-input-container.select-wrapper {
            max-width: calc((100% - 48px - (5 * 12px)) / 5); //"48px" - button with margins; "5 * 12px" - margins of elements
        }
    }

    @media (min-width: 768px ) and (max-width: 959px) {
        md-input-container.select-wrapper {
            max-width: calc((100% - 48px - (4 * 12px)) / 4); //"48px" - button with margins; "4 * 12px" - margins of elements
        }
    }

    @media (min-width: $breakpoint-mobile ) and (max-width: 767px) {
        md-input-container.select-wrapper {
            max-width: calc((100% - 48px - (3 * 12px)) / 3); //"48px" - button with margins; "3 * 12px" - margins of elements
        }
    }

    @media (min-width: $breakpoint-mobile ) and (max-width: 1279px) {
        md-input-container.select-wrapper {
            min-width: 130px;
        }
        &__bottom-section {
            flex-wrap: wrap;

            > md-input-container,
            > button {
                margin-top: 8px;
            }
            > button:last-of-type {
                margin-left: auto;
            }
        }
        &__input {
            &-label {
                margin-right: 0;
            }
        }
    }

    @media (min-width: 481px) and (max-width: $breakpoint-mobile - 1) {
        &__input {
            &-label {
                margin-right: 0;
            }
        }
    }

    @media (max-width: $breakpoint-mobile - 1) {
        box-shadow: none;
        position: fixed;
        left: 0;
        right: 0;
        z-index: 3;
        padding: 0;
        ._no-filters & {
            top: $header-height;
        }

        &:before {
            content: '';
            display: block;
            position: absolute;
            top: calc(100% + 2px);
            height: calc(100vh - #{$header-height} - 72px);
            width: 100%;
            left: 0;
            background-color: rgba($dark-new, .25);
            visibility: hidden;
            opacity: 0;
            pointer-events: none;
            transition: opacity .25s ease-in-out, visibility .25s ease-in-out;
        }

        &__input {
            &-label {
                margin-right: 0;
            }
        }

        &__helpers {
            &:first-of-type {
                flex-wrap: wrap;

                button + md-input-container {
                    max-width: calc(100% - 48px); //48px - button width + margins
                }
            }
            &:last-of-type {
                .date-picker-container {
                    width: 100%;

                    i.material-icons {
                        display: inline-block;
                        position: absolute;
                        right: 8px;
                        top: 9px;
                        font-size: 20px;
                    }

                }
            }
        }
    }

    @media (min-width: 481px) and (max-width: $breakpoint-mobile - 1) {
        left: $sidebar_width;
        margin: 0 20px;
    }
}
